

///////////////////////////////////////////////

#define  u8 unsigned char    // 0 to 255
#define  s8   signed char    // -128 to 127

#define  u16 unsigned int    //  0 to 65535
#define  s16   signed int	   //	-32768 to 32767

#define  u32 unsigned long int	//	0 to 4294967295
#define  s32   signed long int	// -2147483648 to 2147483647

#define  f32 float	//	1.175e-38 to 3.402e38
#define  d32 double	//	1.175e-38 to 3.402e38

/*
Type	Size (Bits)	Range  from CodeVisionAVR help
bit	1	0 , 1
char	8	-128 to 127
unsigned char	8	0 to 255
signed char	8	-128 to 127
int	16	-32768 to 32767
short int	16	-32768 to 32767
unsigned int	16	0 to 65535
signed int	16	-32768 to 32767
long int	32	-2147483648 to 2147483647
unsigned long int	32	0 to 4294967295
signed long int	32	-2147483648 to 2147483647
float	32	1.175e-38 to 3.402e38
double	32	1.175e-38 to 3.402e38
*/

///////////////////////////////////////////////

#ifdef _MEGA8_INCLUDED_


/* USART */

#define  URSEL    7

#define  URSEL    7
#define  UMSEL    6
#define  UPM1     5
#define  UPM0     4
#define  USBS     3
#define  UCSZ1    2
#define  UCSZ0    1
#define  UCPOL    0

#define  RXCIE    7
#define  TXCIE    6
#define  UDRIE    5
#define  RXEN     4
#define  TXEN     3
#define  UCSZ2    2
#define  RXB8     1
#define  TXB8     0

#define  RXC      7
#define  TXC      6
#define  UDRE     5
#define  FE       4
#define  DOR      3
#define  OVR      3    /*This definition differs from the databook*/
#define  PE       2

#define  UPE      2    /*This definition from CodeWizardAVR */

#define  U2X      1
#define  MPCM     0




#endif





